Kaspersky World

Kaspersky World - software for Kaspersky developers.

System requirements

  • Operating system:
    • Windows 2000,
    • Windows ME,
    • Windows XP,
    • Windows Server 2003,
    • Windows Vista,
    • Windows 7,
    • Windows Server 2008,
    • Windows 8;
  • Supported Kaspersky Lab products:
    • Kaspersky Antivirus 6,
    • Kaspersky Antivirus 7,
    • Kaspersky Antivirus 2009,
    • Kaspersky Antivirus 2010,
    • Kaspersky Antivirus 2011,
    • Kaspersky Antivirus 2012,
    • Kaspersky Internet Security 6,
    • Kaspersky Internet Security 7,
    • Kaspersky Internet Security 2009,
    • Kaspersky Internet Security 2010,
    • Kaspersky Internet Security 2011,
    • Kaspersky Internet Security 2012,
    • Kaspersky Internet Security 2013,
    • Kaspersky Pure (Crystal),
    • Kaspersky Pure 2 (Crystal 2012),
    • Kaspersky Endpoint Security,
    • Kaspersky Small Office Security,
    • Kaspersky Small Office Security 2,
    • Kaspersky Antivirus for Windows Workstations.
  • Key comapibility:
Kaspersky Antivirus (KAV)
key / product | KAV 2012 | KAV 2011 | KAV 2010 | KAV 2009 | KAV 7.0 | KAV 6.0
KAV 2012.key |  |  |  |  |  |
KAV 2011.key |  |  |  |  |  |
KAV 2010.key |  |  |  |  |  |
KAV 2009.key |  |  |  |  |  |
KAV 7.0.key |  |  |  |  |  |
KAV 6.0.key |  |  |  |  |  |
Kaspersky Internet Secutity (KIS)
key / product | KIS 2012 | KIS 2011 | KIS 2010 | KIS 2009 | KIS 7.0 | KIS 6.0
KIS 2012.key |  |  |  |  |  |
KIS 2011.key |  |  |  |  |  |
KIS 2010.key |  |  |  |  |  |
KIS 2009.key |  |  |  |  |  |
KIS 7.0.key |  |  |  |  |  |
KIS 6.0.key |  |  |  |  |  |

What it can do?

  1. Download keys for Kaspersky Lab products;
  2. Activate Your Kaspersky using .key-file;
  3. Extract original Kaspersky key file;
  4. Manage Kaspersky's registry data;
  5. Remove Kaspersky's activation;
  6. Remove trial-notifications.

FAQ

  • Q: Where I can find keys for Kaspersky Pure (Kaspersky Crystal)?
  • A: Find "Kaspersky Total Security" keys in full .kkll-file.
  • Q: Where are key's from? Maybe from a China sites?
  • A: No way.
  • Q: I want translate program to my language. What can I do?
  • A: Read "For developers and translators:"
  • Q: The Program told me that version is too old and can not update. Why? What is it mean?
  • A: It's mean you should download new version because old version is incompatible.
  • Q: Can you include in program my name/surname/picture of my girlfriend/boyfriend etc.?
  • A: Sure, but you have to pay me. Payment depend of order.

For developers and translators

To translate program:
  1. Download English.lng (Updated 14.03.2012)
  2. Open file in text-editor and translate all words after symbol "=".
  3. You can test your language-file. Go to main menu - Settings - Load external language - and choose your language-file.
  4. Save file as Your_language.lng and send it to developers' team.
  5. Wait for answer (1-2 days).

Available languages:

  • English
  • Arabic
  • Bengali
  • Bulgarian
  • Chinese
  • Dutch
  • French
  • German
  • Italian
  • Korean
  • Macedonian
  • Polish
  • Portuguese
  • Russian
  • Serbian
  • Spanish
  • Turkish
  • Ukrainian

Version history

[+] Show

  • From 1.0.0.67 to 1.1.0.80:
    • Added "Ganjin-method" in "Trial life-module";
    • Added "Load external language" item in Main menu to help translators;
    • Added "Remove\Restore trial notifications" in "Trial life-module";
    • Added "Key activation-module";
    • Added "Tweaks-module";
    • Changed main design;
    • Changed associated icons;
    • Enabled "maximize" button;
  • 1.1.0.81:
    • Changed language-file;
    • Corrected main design;
  • 1.1.0.82:
    • Updated Italian.lng;
  • 1.1.1.47:
    • Added "Welcome page";
  • 1.1.1.49:
    • Added Spanish.lng;
  • 1.1.1.55:
    • Added Arabic.lng;
    • Fixed error "patchAIinstalled"
    • Restored "Feedback-module"
    • Updated languages;
  • 1.1.2.91:
    • Added "Trial Reset for KIS12";
    • Fixed resizing "Key Loader"
    • Changed main design;
    • Changed Kaspersky's status;
    • Corrected main combobox;
  • 1.2.0.124:
    • Added "blacklist-comparing function";
    • Allowed program-resizing;
    • Modified kkll-processor
  • 1.2.1.41:
    • Fixed error in "ADVAPI32.dll" on Windows 2000;
    • Modified "KeyLoader"-window (resizing function);
    • Modified downloader-function;
    • Modified "Trial Reset"-module;
  • 1.2.1.44:
    • Fixed repaint function of top image;
    • Fixed error on .kkll drop;
  • 1.2.1.51:
    • Allowed drag&drop external language files;
    • Fixed "Kaspersky Lab product - detection" when Kaspersky upgraded from lower version;
    • Fixed collision with USBAntivirus;
    • Optimized quicksort function;
  • 1.2.1.59:
    • Added window "Restart after Trial Reset on Kav\Kis 2012";
    • Modified registry-detection metod on Windows 2000;
  • 1.2.2.81:
    • Added "quick blacklist-compare"-function;
    • Corrected "Remove\Restore trial notifications" on KAV\KIS 2012;
  • 1.2.2.86:
    • Added German.lng;
  • 1.2.2.87:
    • Included KAV\KIS2012 keys support;
    • Updated Turkish.lng;
  • 1.2.2.93:
    • Updated Serbian.lng;
    • Modified "Trial reset" function for WKS 6.0.4.1424 Patch d,f;
    • Modified "Trial reset" function for KAV/KIS 12.0.0.374 Patch a,b,c,d,e,f;
  • 1.2.2.95:
    • Modified "Trial reset" function for KSOS2;
  • 1.2.2.103:
    • Fixed "Trial reset" function for KSOS2;
  • 1.2.3.30:
    • Added Polish.lng;
    • Included database aging period editor in "Tweaks" page;
  • 1.2.4.103:
    • Added "Trial Reset" function for KES8;
    • Added "Trial Reset" function for KSOS2FS;
    • Added single "Blacklist checker";
  • 1.2.4.126:
    • Added "Trial Reset" function for KAV6/KIS6;
    • Added drag&drop panel for single blacklist checker;
    • Changed about-window;
    • Updated "Serbian.lng";
  • 1.2.4.128:
    • Updated "Dutch.lng";
    • Updated "Turkish.lng";
  • 1.2.4.130:
    • Fixed error "list index out of bounds 0";
  • 1.3.0.11:
    • Added "Key extractor";
    • Changed "Welcome page design";
  • 1.3.0.12:
    • Updated "Dutch.lng";
    • Updated "French.lng";
    • Updated "German.lng";
    • Updated "Korean.lng";
  • 1.3.0.13:
    • Updated "Spanish.lng";
    • Updated "Turkish.lng";
  • 1.3.1.71:
    • Added "Tweaks for Kaspersky 2012";
    • Fixed download progress on status bar;
    • Included "Language recognize"-function;
    • Updated "Serbian.lng";
  • 1.3.1.72:
    • Included first start language autodetection;
  • 1.3.1.75:
    • Fixed trial "reset function" for kis12 patch "h";
  • 1.3.1.77:
    • Fixed trial "reset function" for kis12 patch "h" in Win7;
  • 1.3.2.94:
    • Added startpage wizard settings (for first program start);
    • Included Offline mode launcher;
  • 1.3.2.95:
    • Excluded checking for updates in Offline mode;
    • Modified Kaspersky Lab mark finder function;
  • 1.3.2.97:
    • Added "Macedonian.lng";
    • Modified Kaspersky Lab mark deletion function;
  • 1.3.2.98:
    • Added "Bengali.lng";
  • 1.3.2.99:
    • Modified Kaspersky Lab mark finder function;
  • 1.3.2.100:
    • Modified Kaspersky Lab mark deletion function;
    • Updated "Italian.lng";
  • 1.3.2.101:
    • Added "Chinese.lng";
  • 1.3.2.102:
    • Moved back update server;
  • 1.3.2.103:
    • Added "Hungarian.lng";
    • Fixed canceling by press "Esc";
  • 1.3.3.95:
    • Added "Trial Reset" function for Pure 2 / Crystal 2012;
    • Fixed error on fast application termination;
    • Modified "Language recognize"-function;
    • Modified "Language recognize"-function;
    • Updatet "French.lng";
  • 1.3.4.98:
    • Changed About-window;
    • Excluded blacklist compare main site dependence;
    • Modified "blacklist compare"-function;
  • 1.3.4.100:
    • Fixed displayed blacklist date;
  • 1.3.5.88:
    • Changed update server;
  • 1.3.5.89:
    • Fixed blacklist compare function;
  • 1.3.5.99:
    • Added "Use blacklist from installed product" settings;
    • Added partially Trial Reset support for KIS patch i;
  • 1.3.5.100:
    • Optimized "blacklist compare" function;
    • Updated "Chinese.lng";
  • 1.3.6.21:
    • Added support for KAV\KIS 2013;
    • Updated "blacklist compare" function;
  • 1.3.6.22:
    • Moved back update server;

Feedback:

Questions and propositions: AlexSlipknot@europe.com

Donate to the developers: Webmoney: Z282380295989 or R127994545567 or E130575658030

© Slipknot Corp. 2008-2012


Where to begin

Kaspersky World checks updates automatically on start first of all. So you need to disable Kaspersky Antivirus. Press "mouse2" on tray icon and select "Exit".

Exit from Kaspersky

Or you can add file and update-server to exclusions:

Add file to exclusions

Add site to exclusions


Selecting language

A program has several languages. You can select your language in main menu. Press "Settings" -> "Language"


Loading another language-file

Load external language

You can write and use your own language-file. To load this language-file press "Settings" -> "Load external language".


Download bonus.kkll on start

"Bonus.kkll" is a small list-file that contain list of Kaspersky keys that you can download. Program can automatically download that list by selecting this item in main menu. This item selected by default setings.


Reading blacklist on reading .kkll

You can compare key-files with blacklist. It will be automatically if you select "Reading blacklist on reading .kkll" in "Settings" menu. This item selected by default setings.


Associating program with selected extensions

You can associate program with extensions in main menu. Press "Settings" -> "Associate with..."

If you want to activate your Kaspersky by launching key-files just select "Associate with .key" item.

If you have KIS 9.0.0.736 you have to select "Associate with .key (password)" item because this product need to be password-protected. Then you should select "Enable password protection" in Kaspersky settings.


Ability to perform operations

When program started without administrator privileges you can download keys, activate Kaspersky by using key-file and send feedback only.

When program started with administrator privileges and Kaspersky self-defence disabled you can perform all operations except "Trial reset".


Installed Kaspersky product

In left top corner you can see Kaspersky product that you have been installed.


Offline mode

Kaspersky World can be launched in offline mode. In this mode you program can not be updated. You can't use "Key loader" page.


Shortcuts

You can use shortcuts to accelerate you work with Kaspersky World.

  • Ctrl+B - Download and read blacklist;
  • Ctrl+O - Open kkll-file;
  • Ctrl+A - Select all keys;
  • Ctrl+I - Select all similar keys;
  • Ctrl+Z - Deselect all keys;
  • Ctrl+M or Space - Mark selected keys;
  • Ctrl+U or Space - Unmark selected keys;
  • Ctrl+D - Download marked keys;
  • F10 - Exit.


Sorting

To sort keys just click on column that you want to sort.


Filtering

You can find your key very fast. Just enter key name or key type in filter field and similar keys will be highlighted.


Trial reset

You can reactivate your Kaspersky by using this feature at any time. So you can use Kaspersky by free trial licence. You should disable Kaspersky self-defence and turn off Kaspersky before continue.


Trial notifications

While you are using trial licence you can see label in right bottom corner that you are using trial licence. If you want to remove it you can press "Remove trial notification". You can restore it later by press "Restore trial notification". You should disable Kaspersky self-defence before continue.


Key activation

Drag and drop .key-file to activate your Kaspersky using .key-file. Attention! Some versions of Kaspersky need password-protection. So if you have KIS 9.0.0.736 or other product that can activate only with password-protection, please specify you password. Program doesn't store your password! You can also assiciate .key-files in main menu. In this case you can activate your Kaspersky by launching .key-file.


Key extractor

You can save original Kaspersky key file to local disc. Just press "Extract key" and key will be saved to the current directory. Remember you have to turn on Kaspersky before extracting key file.


Single blacklist checker

When you acivating your Kaspersky by using key-file - blacklist checker automaticaly check key.

You can check key-file before activate your Kaspersky. Type key number in blacklist cheker field and press "Check". If field becomes black - key is blacklisted and not valid.


Tweaks

In this page you can turn on/off your Kasperky. You can disable/enable Kaspersky Security Network for Kaspersky 2012. This feature included because in Kaspersky 2012 KSN didn't turn off completely.

Also you can change database aging. For example: if you have bases from last month and don't want to update your Kaspersky but it show you a message that your database is obsolete or Kaspersky has not been updated for a long time you can change "Bases old period" and "Bases very old period" to 32 and restart Kaspersky. Then message appears after 32 days.


Advanced

This page allow you to correct or modify Kaspersky registry data.

For example: if you change parameter for "ProductType" you can get:

  • kis - Kaspersky Internet Security;
  • kav - Kasersky Antivirus;
  • kts - Kaspersky Pure (Crystal);
  • wks - Kaspersky Antivirus for Windows Workstations;
  • ksospc - Kaspersky Small Office Security for Personal Computer;
  • ksosfs - Kaspersky Small Office Security for File Server;
  • kes - Kaspersky Endpoint Security.

Also you can change parameter for "ProductStatus":

  • Release - standard version;
  • Beta - beta version;